# Error - ExceptionConverter: java.security.NoSuchAlgorithmException

## **Description**

When converting a document, the conversion fails and this error appears in the SWING PDF Converter dialog or in the Java Debug Console:

```
AGENT ERROR: ExceptionConverter: java.security.NoSuchAlgorithmException: class com.ibm.crypto.provider.MD5 configured for MessageDigest(provider: IBMJCE version 1.2) cannot be accessed.
class "com.ibm.crypto.provider.MD5"'s signer information does not match signer information of other classes in the same package 
        at java.security.Security.createAlgInstance(Security.java:1338) 
        at java.security.Security.createAlgInstance(Security.java:1232) 
        at java.security.Security.getImpl(Security.java:1123) 
        at java.security.MessageDigest.getInstance(MessageDigest.java:135) 
        .
        .
        .
```

## **Solution**

This problem happens if there is a leftover JAR file named "ibmjcaprovider.jar" in your Notes Java virtual machine folder. It is usually left when upgrading to a higher version of Notes where this JAR has been replaced by a new JAR named "ibmjceprovider.jar".

To resolve this, all you need to do is to delete the "ibmjcaprovider.jar" file (usually in the "Lotus\Domino\ibm-jre\jre\lib\ext\ibmjcaprovider.jar" folder).

More information can be found here:

* <http://www-01.ibm.com/support/docview.wss?uid=swg21243598>
* <http://www-01.ibm.com/support/docview.wss?uid=swg21233375>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.swingsoftware.com/pdf-converter-for-notes/troubleshooting/error-messages/error-exceptionconverter-java.security.nosuchalgorithmexception.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
